Bug 1404866 - deja-dup doesn't work with the new Amazon S3 region (eu-west-2 London)
Summary: deja-dup doesn't work with the new Amazon S3 region (eu-west-2 London)
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-14 21:44 UTC by Jorge Martínez López
Modified: 2019-06-11 08:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Jorge Martínez López 2016-12-14 21:44:23 UTC
Description of problem:

It is not possible to backup to the new Amazon AWS S3 region in London as deja-dup tries to create a new bucket and Amazon replies with a 409 BucketAlreadyOwnedByYou. 


Version-Release number of selected component (if applicable):
deja-dup 34.3.1
python2-boto-2.43.0.1


How reproducible:
It is possible to reproduce it every time.


Steps to Reproduce:
1. Create a new S3 bucket in the "London" region.
2. Configure the bucket name in dconf.
3. Start a backup. 


Actual results:

Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1546, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1540, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1375, in main
    action = commandline.ProcessCommandLine(sys.argv[1:])
  File "/usr/lib64/python2.7/site-packages/duplicity/commandline.py", line 1109, in ProcessCommandLine
    globals.backend = backend.get_backend(args[0])
  File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 223, in get_backend
    obj = get_backend_object(url_string)
  File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 209, in get_backend_object
    return factory(pu)
  File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 166, in __init__
    self.resetConnection()
  File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 191, in resetConnection
    location=self.my_location)
  File "/usr/lib/python2.7/site-packages/boto/s3/connection.py", line 620, in create_bucket
    response.status, response.reason, body)
S3CreateError: S3CreateError: 409 Conflict
<?xml version="1.0" encoding="UTF-8"?>
<Error><Code>BucketAlreadyOwnedByYou</Code><Message>Your previous request to create the named bucket succeeded and you already own it.</Message><BucketName>bucket_name</BucketName><RequestId>...</RequestId><HostId>...</HostId></Error>


Expected results:

A successful backup.

Additional info:

Comment 1 Gwyn Ciesla 2016-12-15 13:59:57 UTC
This looks like it might be a problem in python2-boto.  Does the build in koji help?

https://koji.fedoraproject.org/koji/buildinfo?buildID=825682

Comment 2 Jorge Martínez López 2016-12-16 11:02:43 UTC
The koji build fails as well:

Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1546, in <module>
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1540, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1375, in main
    action = commandline.ProcessCommandLine(sys.argv[1:])
  File "/usr/lib64/python2.7/site-packages/duplicity/commandline.py", line 1109, in ProcessCommandLine
    globals.backend = backend.get_backend(args[0])
  File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 223, in get_backend
    obj = get_backend_object(url_string)
  File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 209, in get_backend_object
    return factory(pu)
  File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 166, in __init__
    self.resetConnection()
  File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 191, in resetConnection
    location=self.my_location)
  File "/usr/lib/python2.7/site-packages/boto/s3/connection.py", line 625, in create_bucket
    response.status, response.reason, body)
S3ResponseError: S3ResponseError: 400 Bad Request
<?xml version="1.0" encoding="UTF-8"?>
<Error><Code>InvalidRequest</Code><Message>The authorization mechanism you have provided is not supported. Please use AWS4-HMAC-SHA256.</Message><RequestId>...</RequestId><HostId>...</HostId></Error>

Comment 3 Gwyn Ciesla 2017-06-16 16:49:42 UTC
Does this still occur with the version of duplicity in update-testing?

Comment 4 Jorge Martínez López 2017-06-17 09:40:19 UTC
Yes, still happpening.

duplicity.x86_64 0.7.13-1.fc25


DEJA_DUP_DEBUG=1 deja-dup --backup
DUPLICITY: INFO 1
DUPLICITY: . Using archive dir: /home/jorgeml/.cache/deja-dup/dcc61da18c83c643a5851c8d48e830a6

DUPLICITY: INFO 1
DUPLICITY: . Using backup name: dcc61da18c83c643a5851c8d48e830a6

DUPLICITY: DEBUG 1
DUPLICITY: . GPG binary is gpg, version 1.4.21

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.acdclibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.azurebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.b2backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.botobackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.cfbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.dpbxbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.gdocsbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.giobackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.hsibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.hubicbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.imapbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.lftpbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.localbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.mediafirebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.megabackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.multibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ncftpbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.onedrivebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.par2backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.pydrivebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.rsyncbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ssh_paramiko_backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ssh_pexpect_backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.swiftbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.sxbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.tahoebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.webdavbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Using temporary directory /home/jorgeml/.cache/deja-dup/tmp/duplicity-fqUdgP-tempdir

DUPLICITY: ERROR 30 S3ResponseError
DUPLICITY: . Traceback (most recent call last):
DUPLICITY: .   File "/usr/bin/duplicity", line 1540, in <module>
DUPLICITY: .     with_tempdir(main)
DUPLICITY: .   File "/usr/bin/duplicity", line 1534, in with_tempdir
DUPLICITY: .     fn()
DUPLICITY: .   File "/usr/bin/duplicity", line 1372, in main
DUPLICITY: .     action = commandline.ProcessCommandLine(sys.argv[1:])
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/commandline.py", line 1132, in ProcessCommandLine
DUPLICITY: .     globals.backend = backend.get_backend(args[0])
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 223, in get_backend
DUPLICITY: .     obj = get_backend_object(url_string)
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 209, in get_backend_object
DUPLICITY: .     return factory(pu)
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 166, in __init__
DUPLICITY: .     self.resetConnection()
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 191, in resetConnection
DUPLICITY: .     location=self.my_location)
DUPLICITY: .   File "/usr/lib/python2.7/site-packages/boto/s3/connection.py", line 625, in create_bucket
DUPLICITY: .     response.status, response.reason, body)
DUPLICITY: . S3ResponseError: S3ResponseError: 400 Bad Request
DUPLICITY: . <?xml version="1.0" encoding="UTF-8"?>
DUPLICITY: . <Error><Code>InvalidRequest</Code><Message>The authorization mechanism you have provided is not supported. Please use AWS4-HMAC-SHA256.</Message><RequestId>...</RequestId><HostId>...</HostId></Error>
DUPLICITY: . 

DUPLICITY: INFO 1
DUPLICITY: . Using archive dir: /home/jorgeml/.cache/deja-dup/dcc61da18c83c643a5851c8d48e830a6

DUPLICITY: INFO 1
DUPLICITY: . Using backup name: dcc61da18c83c643a5851c8d48e830a6

DUPLICITY: DEBUG 1
DUPLICITY: . GPG binary is gpg, version 1.4.21

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.acdclibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.azurebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.b2backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.botobackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.cfbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.dpbxbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.gdocsbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.giobackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.hsibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.hubicbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.imapbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.lftpbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.localbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.mediafirebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.megabackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.multibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ncftpbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.onedrivebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.par2backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.pydrivebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.rsyncbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ssh_paramiko_backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ssh_pexpect_backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.swiftbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.sxbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.tahoebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.webdavbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Using temporary directory /home/jorgeml/.cache/deja-dup/tmp/duplicity-Sa5FlH-tempdir

DUPLICITY: ERROR 30 S3ResponseError
DUPLICITY: . Traceback (most recent call last):
DUPLICITY: .   File "/usr/bin/duplicity", line 1540, in <module>
DUPLICITY: .     with_tempdir(main)
DUPLICITY: .   File "/usr/bin/duplicity", line 1534, in with_tempdir
DUPLICITY: .     fn()
DUPLICITY: .   File "/usr/bin/duplicity", line 1372, in main
DUPLICITY: .     action = commandline.ProcessCommandLine(sys.argv[1:])
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/commandline.py", line 1132, in ProcessCommandLine
DUPLICITY: .     globals.backend = backend.get_backend(args[0])
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 223, in get_backend
DUPLICITY: .     obj = get_backend_object(url_string)
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 209, in get_backend_object
DUPLICITY: .     return factory(pu)
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 166, in __init__
DUPLICITY: .     self.resetConnection()
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 191, in resetConnection
DUPLICITY: .     location=self.my_location)
DUPLICITY: .   File "/usr/lib/python2.7/site-packages/boto/s3/connection.py", line 625, in create_bucket
DUPLICITY: .     response.status, response.reason, body)
DUPLICITY: . S3ResponseError: S3ResponseError: 400 Bad Request
DUPLICITY: . <?xml version="1.0" encoding="UTF-8"?>
DUPLICITY: . <Error><Code>InvalidRequest</Code><Message>The authorization mechanism you have provided is not supported. Please use AWS4-HMAC-SHA256.</Message><RequestId>...</RequestId><HostId>...</HostId></Error>
DUPLICITY: .

Comment 5 Yannick Defais 2017-07-19 21:41:24 UTC
Exact same issue here using fedora 26

$ deja-dup --version
deja-dup 34.3

Beside Frankfurt location is not supported because it only use a new identification scheme (AWS4).

Living in Europa only leaves the choice to use America based Amazon cloud. Which have *very* bad privacy laws for foreigners !

Comment 6 Jorge Martínez López 2017-07-19 21:46:13 UTC
(In reply to Yannick Defais from comment #5)
> Exact same issue here using fedora 26
> 
> $ deja-dup --version
> deja-dup 34.3
> 
> Beside Frankfurt location is not supported because it only use a new
> identification scheme (AWS4).
> 
> Living in Europa only leaves the choice to use America based Amazon cloud.
> Which have *very* bad privacy laws for foreigners !

Yannick, you can use the Ireland region so your data doesn't leave the EU.

Comment 7 Yannick Defais 2017-07-20 07:34:01 UTC
(In reply to Jorge Martínez López from comment #6)
> (In reply to Yannick Defais from comment #5)
> > Exact same issue here using fedora 26
> > 
> > $ deja-dup --version
> > deja-dup 34.3
> > 
> > Beside Frankfurt location is not supported because it only use a new
> > identification scheme (AWS4).
> > 
> > Living in Europa only leaves the choice to use America based Amazon cloud.
> > Which have *very* bad privacy laws for foreigners !
> 
> Yannick, you can use the Ireland region so your data doesn't leave the EU.

I don't get it. Would it not be just like with London bucket ? i.e. "BucketAlreadyOwnedByYou." ?

Comment 8 Jorge Martínez López 2017-07-20 17:34:52 UTC
(In reply to Yannick Defais from comment #7)
> > 
> > Yannick, you can use the Ireland region so your data doesn't leave the EU.
> 
> I don't get it. Would it not be just like with London bucket ? i.e.
> "BucketAlreadyOwnedByYou." ?

No, it's not, Ireland just works.

Comment 9 Yannick Defais 2017-07-21 19:36:58 UTC
(In reply to Jorge Martínez López from comment #8)
> (In reply to Yannick Defais from comment #7)
> > > 
> > > Yannick, you can use the Ireland region so your data doesn't leave the EU.
> > 
> > I don't get it. Would it not be just like with London bucket ? i.e.
> > "BucketAlreadyOwnedByYou." ?
> 
> No, it's not, Ireland just works.

Indeed! It works! Thank you!

Beware : you might get an error at first "error: [Errno 104] Connection reset by peer". According to some random dude on the internet, it is a DNS propagation issue. After a couple of hours it should fix itself. Just wait.

Comment 10 Fedora End Of Life 2017-11-16 19:33:43 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 11 Jorge Martínez López 2017-11-16 21:57:22 UTC
Still failing with Fedora 27.

deja-dup-36.3-1.fc27.x86_64



DEJA_DUP_DEBUG=1 deja-dup --backup
DUPLICITY: INFO 1
DUPLICITY: . Using archive dir: /home/jorgeml/.cache/deja-dup/dcc61da18c83c643a5851c8d48e830a6

DUPLICITY: INFO 1
DUPLICITY: . Using backup name: dcc61da18c83c643a5851c8d48e830a6

DUPLICITY: DEBUG 1
DUPLICITY: . GPG binary is gpg, version 1.4.22

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.acdclibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.azurebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.b2backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.botobackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.cfbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.dpbxbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.gdocsbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.giobackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.hsibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.hubicbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.imapbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.lftpbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.localbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.mediafirebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.megabackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.multibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ncftpbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.onedrivebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.par2backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.pydrivebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.rsyncbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ssh_paramiko_backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ssh_pexpect_backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.swiftbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.sxbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.tahoebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.webdavbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Using temporary directory /home/jorgeml/.cache/deja-dup/tmp/duplicity-nBdLrE-tempdir

DUPLICITY: ERROR 30 S3ResponseError
DUPLICITY: . Traceback (most recent call last):
DUPLICITY: .   File "/usr/bin/duplicity", line 1548, in <module>
DUPLICITY: .     with_tempdir(main)
DUPLICITY: .   File "/usr/bin/duplicity", line 1534, in with_tempdir
DUPLICITY: .     fn()
DUPLICITY: .   File "/usr/bin/duplicity", line 1370, in main
DUPLICITY: .     action = commandline.ProcessCommandLine(sys.argv[1:])
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/commandline.py", line 1132, in ProcessCommandLine
DUPLICITY: .     globals.backend = backend.get_backend(args[0])
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 223, in get_backend
DUPLICITY: .     obj = get_backend_object(url_string)
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 209, in get_backend_object
DUPLICITY: .     return factory(pu)
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 166, in __init__
DUPLICITY: .     self.resetConnection()
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 191, in resetConnection
DUPLICITY: .     location=self.my_location)
DUPLICITY: .   File "/usr/lib/python2.7/site-packages/boto/s3/connection.py", line 625, in create_bucket
DUPLICITY: .     response.status, response.reason, body)
DUPLICITY: . S3ResponseError: S3ResponseError: 400 Bad Request
DUPLICITY: . <?xml version="1.0" encoding="UTF-8"?>
DUPLICITY: . <Error><Code>InvalidRequest</Code><Message>The authorization mechanism you have provided is not supported. Please use AWS4-HMAC-SHA256.</Message><RequestId>...</RequestId><HostId>...</HostId></Error>
DUPLICITY: . 

DUPLICITY: INFO 1
DUPLICITY: . Using archive dir: /home/jorgeml/.cache/deja-dup/dcc61da18c83c643a5851c8d48e830a6

DUPLICITY: INFO 1
DUPLICITY: . Using backup name: dcc61da18c83c643a5851c8d48e830a6

DUPLICITY: DEBUG 1
DUPLICITY: . GPG binary is gpg, version 1.4.22

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.acdclibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.azurebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.b2backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.botobackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.cfbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.dpbxbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.gdocsbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.giobackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.hsibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.hubicbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.imapbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.lftpbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.localbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.mediafirebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.megabackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.multibackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ncftpbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.onedrivebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.par2backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.pydrivebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.rsyncbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ssh_paramiko_backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.ssh_pexpect_backend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.swiftbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.sxbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.tahoebackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Import of duplicity.backends.webdavbackend Succeeded

DUPLICITY: INFO 1
DUPLICITY: . Using temporary directory /home/jorgeml/.cache/deja-dup/tmp/duplicity-5l3o0M-tempdir

DUPLICITY: ERROR 30 S3ResponseError
DUPLICITY: . Traceback (most recent call last):
DUPLICITY: .   File "/usr/bin/duplicity", line 1548, in <module>
DUPLICITY: .     with_tempdir(main)
DUPLICITY: .   File "/usr/bin/duplicity", line 1534, in with_tempdir
DUPLICITY: .     fn()
DUPLICITY: .   File "/usr/bin/duplicity", line 1370, in main
DUPLICITY: .     action = commandline.ProcessCommandLine(sys.argv[1:])
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/commandline.py", line 1132, in ProcessCommandLine
DUPLICITY: .     globals.backend = backend.get_backend(args[0])
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 223, in get_backend
DUPLICITY: .     obj = get_backend_object(url_string)
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backend.py", line 209, in get_backend_object
DUPLICITY: .     return factory(pu)
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 166, in __init__
DUPLICITY: .     self.resetConnection()
DUPLICITY: .   File "/usr/lib64/python2.7/site-packages/duplicity/backends/_boto_single.py", line 191, in resetConnection
DUPLICITY: .     location=self.my_location)
DUPLICITY: .   File "/usr/lib/python2.7/site-packages/boto/s3/connection.py", line 625, in create_bucket
DUPLICITY: .     response.status, response.reason, body)
DUPLICITY: . S3ResponseError: S3ResponseError: 400 Bad Request
DUPLICITY: . <?xml version="1.0" encoding="UTF-8"?>
DUPLICITY: . <Error><Code>InvalidRequest</Code><Message>The authorization mechanism you have provided is not supported. Please use AWS4-HMAC-SHA256.</Message><RequestId>...</RequestId><HostId>...</HostId></Error>

Comment 12 Ben Cotton 2018-11-27 13:51:56 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Jorge Martínez López 2018-11-27 21:25:12 UTC
Still going on:

S3ResponseError: S3ResponseError: 400 Bad Request
<?xml version="1.0" encoding="UTF-8"?>
<Error><Code>InvalidRequest</Code><Message>The authorization mechanism you have provided is not supported. Please use AWS4-HMAC-SHA256.


Note You need to log in before you can comment on or make changes to this bug.